## NMSettingIpvlan NMSettingIpvlan — Describes connection properties for IPVLAN interfaces |

## Functions

NMSetting * | nm_setting_ipvlan_new ()
const char * | nm_setting_ipvlan_get_parent ()
NMSettingIpvlanMode | nm_setting_ipvlan_get_mode ()
gboolean | nm_setting_ipvlan_get_private ()
gboolean | nm_setting_ipvlan_get_vepa ()

## Types and Values

#define | NM_SETTING_IPVLAN_SETTING_NAME
#define | NM_SETTING_IPVLAN_PARENT
#define | NM_SETTING_IPVLAN_MODE
#define | NM_SETTING_IPVLAN_PRIVATE
#define | NM_SETTING_IPVLAN_VEPA
enum | NMSettingIpvlanMode

## Object Hierarchy

        GEnum
        ╰── NMSettingIpvlanMode

## Description

The NMSettingIpvlan object is a NMSetting subclass that describes properties necessary for connection to IPVLAN interfaces.

## Functions

### nm_setting_ipvlan_new ()

    NMSetting *
    nm_setting_ipvlan_new (void);

Creates a new NMSettingIpvlan object with default values.

#### Returns

the new empty NMSettingIpvlan object.

[transfer full]

Since: 1.52

### nm_setting_ipvlan_get_parent ()

    const char *
    nm_setting_ipvlan_get_parent (NMSettingIpvlan *setting);

#### Parameters

setting | the NMSettingIpvlan |

#### Returns

the “parent” property of the setting

Since: 1.52

### nm_setting_ipvlan_get_mode ()

    NMSettingIpvlanMode
    nm_setting_ipvlan_get_mode (NMSettingIpvlan *setting);

#### Parameters

setting | the NMSettingIpvlan |

#### Returns

the “mode” property of the setting

Since: 1.52

### nm_setting_ipvlan_get_private ()

    gboolean
    nm_setting_ipvlan_get_private (NMSettingIpvlan *setting);

#### Parameters

setting | the NMSettingIpvlan |

#### Returns

the “private” property of the setting

Since: 1.52

### nm_setting_ipvlan_get_vepa ()

    gboolean
    nm_setting_ipvlan_get_vepa (NMSettingIpvlan *setting);

#### Parameters

setting | the NMSettingIpvlan |

#### Returns

the “vepa” property of the setting

Since: 1.52

## Types and Values

### NM_SETTING_IPVLAN_SETTING_NAME

    #define NM_SETTING_IPVLAN_SETTING_NAME "ipvlan"

### NM_SETTING_IPVLAN_PARENT

    #define NM_SETTING_IPVLAN_PARENT  "parent"

### NM_SETTING_IPVLAN_MODE

    #define NM_SETTING_IPVLAN_MODE    "mode"

### NM_SETTING_IPVLAN_PRIVATE

    #define NM_SETTING_IPVLAN_PRIVATE "private"

### NM_SETTING_IPVLAN_VEPA

    #define NM_SETTING_IPVLAN_VEPA    "vepa"

### enum NMSettingIpvlanMode

#### Members

NM_SETTING_IPVLAN_MODE_UNKNOWN | unknown/unset mode |
NM_SETTING_IPVLAN_MODE_L2 | L2 mode, device receives and responds to ARP. |
NM_SETTING_IPVLAN_MODE_L3 | L3 mode, device process only L3 traffic and above. |
NM_SETTING_IPVLAN_MODE_L3S | L3S mode, same way as L3 mode but egress and ingress lands on netfilter chain. |
_NM_SETTING_IPVLAN_MODE_NUM |  |
NM_SETTING_IPVLAN_MODE_LAST |  |

Since: 1.52